//
//  CharacterNode.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>
#import "Character.h"

typedef NS_ENUM(Byte, GoldDisplayType) {
    GoldDisplaySalary,
    GoldDisplayActionCost
};

@interface CharacterNode : SKNode

@property (assign, nonatomic, readonly) CGSize size;
@property (strong, nonatomic) Character* character;
@property (assign, nonatomic) GoldDisplayType goldDisplay;

@end
