//
//  Emotion.h
//  LordGame
//
//  Created by Michael Dyachenko on 24/01/15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>
typedef NS_ENUM(int, EmotionType)
{
    BadEmotion,
    NeutralEmotion,
    GoodEmotion
};

@interface Emotion : SKSpriteNode
- (instancetype) initWithType : (EmotionType) type;
- (void) setType: (EmotionType) type;
@end
