//
//  King.m
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import "King.h"
#import "NameManager.h"

@implementation King

- (instancetype)init
{
    self = [super init];
    
    if (self != nil) {
        _name = [[NameManager sharedManager] kingName];
    }
    
    return self;
}

- (void)getNewByname:(NSString *)key
{
    _byname = [[NameManager sharedManager] kingBynameByStatisticKey:key];
    self.newName = YES;
}

- (NSString *)fullName
{
    if (self.byname.length > 0) {
        //return [NSString stringWithFormat:@"King\n%@\n\"The %@\"", self.name, self.byname];
        return [NSString stringWithFormat:@"Король\n%@\n\"%@\"", self.name, self.byname];
    }
    else {
        //return [NSString stringWithFormat:@"King\n%@", self.name];
        return [NSString stringWithFormat:@"Король\n%@", self.name];
    }
}

@end
