//
//  NameManager.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Character.h"

@interface NameManager : NSObject

+ (instancetype)sharedManager;

- (NSArray *)cityNameList:(int)cityAmount;
- (NSString*)characterNameForType:(CharacterType)type;
- (NSString*)messangerName;
- (NSString*)preloaderText;

- (Byname*)kingBynameByStatisticKey:(NSString*)key;
- (Byname*)bynameByStatisticKey:(NSString*)key andCharacterType:(CharacterType)type;

@property (strong, nonatomic) NSString* kingName;

@end
