//
//  CharacterManager.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Character.h"
#import "King.h"

@interface CharacterManager : NSObject

+ (instancetype)sharedManager;

- (NSArray*)characterList;
- (Money)salaryForAllCharacters;
- (void)returnCharacters;

- (void)hireCharacter:(CharacterType)type;

- (void)killCharacter:(Character*)character;
- (void)fireCharacter:(Character*)character;

- (void)reset;

@property (strong, nonatomic, readonly) King* king;
@property (assign, nonatomic, readonly) BOOL canHire;

@end
