//
//  City.h
//  LordGame
//
//  Created by Michael Dyachenko on 24/01/15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>
#import "Treasury.h"

@interface City : SKSpriteNode
{
    NSString *_name;
}
@property (assign, nonatomic, readonly) int population;
// people mood - -1.0 ... 1.0
@property (assign, nonatomic, readonly) float emotion;
@property (assign, nonatomic) CGPoint mapLocation;
- (instancetype) initWithName: (NSString *) name;
- (NSString *) name;
- (Money) income;
- (void) checkCityLevel;
- (void) updatePopulation;
- (void) scalePopulation: (float) ratio;
- (void) changeEmotion: (float) ratio;
- (void) removeSign;
@end
