//
//  CityManager.h
//  LordGame
//
//  Created by Michael Dyachenko on 24/01/15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "City.h"
#import "Treasury.h"
@interface CityManager : NSObject

+ (instancetype)shared;

- (NSArray *) cityList;
- (Money) incomeForAllCities;

- (void)chooseEventCity;
- (void) updatePopulation;

- (void)reset;

@property (strong, nonatomic, readonly) City* eventCity;

@end
