//
//  Emotion.m
//  LordGame
//
//  Created by Michael Dyachenko on 24/01/15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import "Emotion.h"
static NSArray *FILENAME_LIST;

@implementation Emotion{
    EmotionType _type;
}


- (instancetype) initWithType : (EmotionType) type
{
    if(FILENAME_LIST ==nil)
    {
        FILENAME_LIST = @[@"smile_bad", @"smile_neutral", @"smile_good"];
    }
    
    if(( self = [super initWithImageNamed:FILENAME_LIST[type]]))
    {
        _type = type;
        
    }
    return self;

}

- (void) setType: (EmotionType) type{
    if(type != _type)
    {
        _type = type;
        self.texture = [SKTexture textureWithImageNamed:FILENAME_LIST[_type]];
    }
}
@end

