//
//  Event.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Character.h"
#import "BaseUnit.h"

@interface Event : NSObject

- (instancetype)initWithData:(NSDictionary*)eventData;

- (NSString*)goodActionText;
- (NSString*)badActionText;

- (void)makeEmptyAction;
- (void)makeGoodAction;
- (void)makeBadAction;

@property (strong, nonatomic, readonly) NSString* text;
@property (strong, nonatomic, readonly) NSString* emptyAnswer;
@property (strong, nonatomic, readonly) NSString* resultText;
@property (strong, nonatomic, readonly) NSArray* goodResultList;
@property (strong, nonatomic, readonly) NSArray* badResultList;
@property (assign, nonatomic, readonly) Statistic eventStat;

@end
