//
//  MessengerSprite.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>

typedef NS_ENUM(Byte, MessengerType) {
    MessengerPeon,
    MessengerKnight,
    MessengerMonk,
    MessengerMage,
    MessengerJester};

@interface MessengerSprite : SKSpriteNode

- (void)speakWithCompletition:(void(^)())handler;

@property (assign, nonatomic) MessengerType type;
@property (assign, nonatomic) BOOL walk;

@end
