//
//  Result.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Result : NSObject

- (instancetype)initWithData:(NSDictionary*)resultData;
- (void)execute;

@property (assign, nonatomic, readonly) float chance;
@property (strong, nonatomic, readonly) NSString* text;
@property (strong, nonatomic, readonly) NSArray* goodResultList;
@property (strong, nonatomic, readonly) NSArray* badResultList;
@property (assign, nonatomic) char type;

@end
