//
//  Treasury.h
//  LordGame
//
//  Created by MAXIM KORNEEV on 24.01.15.
//  Copyright (c) 2015 AppBit. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>

typedef long int Money;

@interface Treasury : NSObject

+ (instancetype)sharedTreasury;

- (Money)income;
- (Money)salary;
- (void) receiveIncome;
- (void) paySalary;

@property (assign, nonatomic) Money gold;
@property (strong, nonatomic) SKNode* goldNode;

@end
